# Package org.apache.xmlbeans.impl.regex

- Class Summary
  Class | Description
  --- | ---
  BMPattern | Boyer-Moore searcher.
  Match | An instance of this class has ranges captured in matching.
  RegularExpression | A regular expression matching engine using Non-deterministic Finite Automaton (NFA).
  REUtil |
  SchemaRegularExpression |

- Exception Summary
  Exception | Description
  --- | ---
  ParseException |